<app-menu></app-menu>
<mat-card class="static-form">
    <div>
        <mat-form-field appearance="fill">
            <mat-label>Name</mat-label>
            <input matInput name="testName" [(ngModel)]="test.name">
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>Description</mat-label>
            <input matInput name="testDescription" [(ngModel)]="test.description">
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-select [(ngModel)]="test.allowedUsers" multiple name="user_list">
                <mat-option *ngFor="let user of users" [value]="user"> {{user}}</mat-option>
            </mat-select>
        </mat-form-field>
        <button mat-raised-button color="accent" (click)="addNewQuestion()">Question+</button>
    </div>
    <div>
        <button mat-flat-button color="primary" (click)="send()">Add test</button>
    </div>
</mat-card>
<mat-card *ngFor="let quest of test.questions; let i = index">
    <div class="wrapper">
        <div class="-question">
            <mat-form-field class="-input-text" appearance="fill">
                <mat-label>Question</mat-label>
                <textarea matInput [name]="'Question_'+i+'_Name'" [(ngModel)]="test.questions[i].text"></textarea>
            </mat-form-field>
        </div>

        <div class="-answers">
            <div class="-button"><button mat-raised-button color="accent" (click)="addNewAnswer(i)">Add answer</button></div>
            <mat-radio-group>
                <div *ngFor="let ans of quest.answers; let j = index">
                    <mat-radio-button type="radio" [name]="'answerCorr' + i" [value]="j" (change)="check(i, j)"></mat-radio-button>
                    <mat-form-field class="-input-text" appearance="fill">
                        <mat-label>Answer text</mat-label>
                        <input matInput type="text" [name]="'answer'+i +'-'+j" [(ngModel)]="test.questions[i].answers[j].text">
                    </mat-form-field>
                </div>
            </mat-radio-group>
        </div>
    </div>
</mat-card>
